Debian Bug report logs - #636301
lib32v4l-0: No video in Skype - libv4l2: error converting / decoding frame data

version graph

Package: lib32v4l-0; Maintainer for lib32v4l-0 is Gregor Jasny <gjasny@googlemail.com>; Source for lib32v4l-0 is src:v4l-utils.

Reported by: Martin <komodo@uvt.cz>

Date: Tue, 2 Aug 2011 05:54:02 UTC

Severity: grave

Found in version v4l-utils/0.8.5-1

Fixed in version v4l-utils/0.8.5-3

Done: Gregor Jasny <gjasny@googlemail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gregor Jasny <gjasny@googlemail.com>:
Bug#636301; Package lib32v4l-0. (Tue, 02 Aug 2011 05:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin <komodo@uvt.cz>:
New Bug report received and forwarded. Copy sent to Gregor Jasny <gjasny@googlemail.com>. (Tue, 02 Aug 2011 05:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin <komodo@uvt.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lib32v4l-0: No video in Skype - libv4l2: error converting / decoding frame data
Date: Tue, 02 Aug 2011 07:43:05 +0200
Package: lib32v4l-0
Version: 0.8.5-1
Severity: grave
Justification: renders package unusable

I have no video in Skype, since upgrade to 0.8.5-1. When i run skype like this

LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype

then video is black and i get lot of errors

libv4l2: error converting / decoding frame data:

After downgrading to 0.8.4 everything is ok.

It seems that the problem is with Logitech webcams.

I have Logitech QuickCam Communicate STX , ID 046d:08d7

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lib32v4l-0 depends on:
ii  ia32-libs                     20110609   ia32 shared libraries for use on a
ii  libc6-i386                    2.13-10    Embedded GNU C Library: 32-bit sha
ii  libv4l-0                      0.8.5-1    Collection of video4linux support 

lib32v4l-0 recommends no packages.

lib32v4l-0 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#636301; Package lib32v4l-0. (Tue, 02 Aug 2011 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregor Jasny <gjasny@googlemail.com>:
Extra info received and forwarded to list. (Tue, 02 Aug 2011 12:51:06 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Gregor Jasny <gjasny@googlemail.com>
To: Martin <komodo@uvt.cz>, 636301@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#636301: lib32v4l-0: No video in Skype - libv4l2: error converting / decoding frame data
Date: Tue, 02 Aug 2011 14:49:18 +0200
Hi Martin,

could you please install v4l-conf, execute v4l-info and append the 
output here?

Thanks,
Gregor





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#636301; Package lib32v4l-0. (Tue, 02 Aug 2011 12:51:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregor Jasny <gjasny@googlemail.com>:
Extra info received and forwarded to list. (Tue, 02 Aug 2011 12:51:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gregor Jasny <gjasny@googlemail.com>:
Bug#636301; Package lib32v4l-0. (Wed, 03 Aug 2011 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to komodo@uvt.cz:
Extra info received and forwarded to list. Copy sent to Gregor Jasny <gjasny@googlemail.com>. (Wed, 03 Aug 2011 20:48:03 GMT) Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: komodo <komodo@uvt.cz>
To: Gregor Jasny <gjasny@googlemail.com>, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#636301: lib32v4l-0: No video in Skype - libv4l2: error converting / decoding frame data
Date: Wed, 3 Aug 2011 22:39:45 +0200
On Tuesday, August 02, 2011 14:49:18 you wrote:
> Hi Martin,
> 
> could you please install v4l-conf, execute v4l-info and append the
> output here?
> 
> Thanks,
> Gregor

Hi

here it is

### v4l2 device info [/dev/video1] ###
general info
    VIDIOC_QUERYCAP
        driver                  : "zc3xx"
        card                    : "USB Camera (046d:08d7)"
        bus_info                : "usb-0000:00:1a.2-1"
        version                 : 2.12.0
        capabilities            : 0x5000001 
[VIDEO_CAPTURE,READWRITE,STREAMING]

standards

inputs
    VIDIOC_ENUMINPUT(0)
        index                   : 0
        name                    : "zc3xx"
        type                    : CAMERA
        audioset                : 0
        tuner                   : 0
        std                     : 0x0 []
        status                  : 0x0 []

video capture
    VIDIOC_ENUM_FMT(0,VIDEO_CAPTURE)
        index                   : 0
        type                    : VIDEO_CAPTURE
        flags                   : 1
        description             : "JPEG"
        pixelformat             : 0x4745504a [JPEG]
    VIDIOC_G_FMT(VIDEO_CAPTURE)
        type                    : VIDEO_CAPTURE
        fmt.pix.width           : 640
        fmt.pix.height          : 480
        fmt.pix.pixelformat     : 0x4745504a [JPEG]
        fmt.pix.field           : NONE
        fmt.pix.bytesperline    : 640
        fmt.pix.sizeimage       : 115790
        fmt.pix.colorspace      : JPEG
        fmt.pix.priv            : 0

controls
    VIDIOC_QUERYCTRL(BASE+0)
        id                      : 9963776
        type                    : INTEGER
        name                    : "Brightness"
        minimum                 : 0
        maximum                 : 255
        step                    : 1
        default_value           : 128
        flags                   : 0
    VIDIOC_QUERYCTRL(BASE+1)
        id                      : 9963777
        type                    : INTEGER
        name                    : "Contrast"
        minimum                 : 0
        maximum                 : 255
        step                    : 1
        default_value           : 128
        flags                   : 0





Information forwarded to debian-bugs-dist@lists.debian.org, Gregor Jasny <gjasny@googlemail.com>:
Bug#636301; Package lib32v4l-0. (Thu, 04 Aug 2011 13:12:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin.soltis@uvt.cz:
Extra info received and forwarded to list. Copy sent to Gregor Jasny <gjasny@googlemail.com>. (Thu, 04 Aug 2011 13:13:06 GMT) Full text and rfc822 format available.

Message #25 received at 636301@bugs.debian.org (full text, mbox):

From: "Martin Ĺ oltis" <martin.soltis@uvt.cz>
To: Gregor Jasny <gjasny@googlemail.com>, 636301@bugs.debian.org
Subject: Re: Bug#636301: lib32v4l-0: No video in Skype - libv4l2: error converting / decoding frame data
Date: Thu, 4 Aug 2011 15:10:43 +0200
On Tuesday, August 02, 2011 14:49:18 you wrote:
> Hi Martin,
> 
> could you please install v4l-conf, execute v4l-info and append the
> output here?
> 
> Thanks,
> Gregor

Hi

sorry i'v sent it to bad address

here it is again

### v4l2 device info [/dev/video1] ###
general info
    VIDIOC_QUERYCAP
        driver                  : "zc3xx"
        card                    : "USB Camera (046d:08d7)"
        bus_info                : "usb-0000:00:1a.2-1"
        version                 : 2.12.0
        capabilities            : 0x5000001 
[VIDEO_CAPTURE,READWRITE,STREAMING]

standards

inputs
    VIDIOC_ENUMINPUT(0)
        index                   : 0
        name                    : "zc3xx"
        type                    : CAMERA
        audioset                : 0
        tuner                   : 0
        std                     : 0x0 []
        status                  : 0x0 []

video capture
    VIDIOC_ENUM_FMT(0,VIDEO_CAPTURE)
        index                   : 0
        type                    : VIDEO_CAPTURE
        flags                   : 1
        description             : "JPEG"
        pixelformat             : 0x4745504a [JPEG]
    VIDIOC_G_FMT(VIDEO_CAPTURE)
        type                    : VIDEO_CAPTURE
        fmt.pix.width           : 640
        fmt.pix.height          : 480
        fmt.pix.pixelformat     : 0x4745504a [JPEG]
        fmt.pix.field           : NONE
        fmt.pix.bytesperline    : 640
        fmt.pix.sizeimage       : 115790
        fmt.pix.colorspace      : JPEG
        fmt.pix.priv            : 0

controls
    VIDIOC_QUERYCTRL(BASE+0)
        id                      : 9963776
        type                    : INTEGER
        name                    : "Brightness"
        minimum                 : 0
        maximum                 : 255
        step                    : 1
        default_value           : 128
        flags                   : 0
    VIDIOC_QUERYCTRL(BASE+1)
        id                      : 9963777
        type                    : INTEGER
        name                    : "Contrast"
        minimum                 : 0
        maximum                 : 255
        step                    : 1
        default_value           : 128
        flags                   : 0





Information forwarded to debian-bugs-dist@lists.debian.org, Gregor Jasny <gjasny@googlemail.com>:
Bug#636301; Package lib32v4l-0. (Thu, 04 Aug 2011 13:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to komodo@uvt.cz:
Extra info received and forwarded to list. Copy sent to Gregor Jasny <gjasny@googlemail.com>. (Thu, 04 Aug 2011 13:21:23 GMT) Full text and rfc822 format available.

Message #30 received at 636301@bugs.debian.org (full text, mbox):

From: komodo <komodo@uvt.cz>
To: Gregor Jasny <gjasny@googlemail.com>, 636301@bugs.debian.org
Subject: Re: Bug#636301: lib32v4l-0: No video in Skype - libv4l2: error converting / decoding frame data
Date: Thu, 4 Aug 2011 15:11:06 +0200
On Tuesday, August 02, 2011 14:49:18 you wrote:
> Hi Martin,
> 
> could you please install v4l-conf, execute v4l-info and append the
> output here?
> 
> Thanks,
> Gregor

Hi

sorry i'v sent it to bad address

here it is again

### v4l2 device info [/dev/video1] ###
general info
    VIDIOC_QUERYCAP
        driver                  : "zc3xx"
        card                    : "USB Camera (046d:08d7)"
        bus_info                : "usb-0000:00:1a.2-1"
        version                 : 2.12.0
        capabilities            : 0x5000001 
[VIDEO_CAPTURE,READWRITE,STREAMING]

standards

inputs
    VIDIOC_ENUMINPUT(0)
        index                   : 0
        name                    : "zc3xx"
        type                    : CAMERA
        audioset                : 0
        tuner                   : 0
        std                     : 0x0 []
        status                  : 0x0 []

video capture
    VIDIOC_ENUM_FMT(0,VIDEO_CAPTURE)
        index                   : 0
        type                    : VIDEO_CAPTURE
        flags                   : 1
        description             : "JPEG"
        pixelformat             : 0x4745504a [JPEG]
    VIDIOC_G_FMT(VIDEO_CAPTURE)
        type                    : VIDEO_CAPTURE
        fmt.pix.width           : 640
        fmt.pix.height          : 480
        fmt.pix.pixelformat     : 0x4745504a [JPEG]
        fmt.pix.field           : NONE
        fmt.pix.bytesperline    : 640
        fmt.pix.sizeimage       : 115790
        fmt.pix.colorspace      : JPEG
        fmt.pix.priv            : 0

controls
    VIDIOC_QUERYCTRL(BASE+0)
        id                      : 9963776
        type                    : INTEGER
        name                    : "Brightness"
        minimum                 : 0
        maximum                 : 255
        step                    : 1
        default_value           : 128
        flags                   : 0
    VIDIOC_QUERYCTRL(BASE+1)
        id                      : 9963777
        type                    : INTEGER
        name                    : "Contrast"
        minimum                 : 0
        maximum                 : 255
        step                    : 1
        default_value           : 128
        flags                   : 0





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#636301; Package lib32v4l-0. (Fri, 05 Aug 2011 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregor Jasny <gjasny@googlemail.com>:
Extra info received and forwarded to list. (Fri, 05 Aug 2011 16:36:03 GMT) Full text and rfc822 format available.

Message #35 received at 636301@bugs.debian.org (full text, mbox):

From: Gregor Jasny <gjasny@googlemail.com>
To: komodo@uvt.cz
Cc: 636301@bugs.debian.org
Subject: Re: Bug#636301: lib32v4l-0: No video in Skype - libv4l2: error converting / decoding frame data
Date: Fri, 05 Aug 2011 18:32:37 +0200
Hi Martin,

I've uploaded v4l-utils 0.8.5-2. From the README.Debian file:

  Since v0.8.4 libv4l decodes JPEG and MJPEG picture formats via libjpeg
  instead of using the its own tinyjpeg decoder. For cameras delivering
  a non-standars stream this leads to non working or flickering video.

  An indication might be the following output on stderr:
  "libv4l2: error converting / decoding frame data"

  libv4l already takes care of some broken cameras by falling back to
  the tinyjpeg decoder. To test if this might help with your camera,
  please set the following environment variable before starting the
  webcam application:

  export LIBV4LCONTROL_FLAGS=32

Could you please install it and check if this environment variable helps
to get video in Skype, again? There are at least two other cameras with
the same chipset as yours that were brought back to life.

Once you verified that it works I'll add your camera id to the internal
library table so that the compatible decoder is selected automatically.

I could have added it with this upload too, but in your bug report you
stated that the error vanishes if you install 0.8.4. All cams I tested
were broken by this version, too. v0.8.3 was the last compatible version.

You can pick the binaries from
http://incoming.debian.org/
or
http://ftp.debian.org/debian/pool/main/v/v4l-utils/

The packges.debian.org is often one day behind.

I appreciate your help!

Thanks,
Gregor




Reply sent to Gregor Jasny <gjasny@googlemail.com>:
You have taken responsibility. (Sun, 07 Aug 2011 14:51:22 GMT) Full text and rfc822 format available.

Notification sent to Martin <komodo@uvt.cz>:
Bug acknowledged by developer. (Sun, 07 Aug 2011 14:51:22 GMT) Full text and rfc822 format available.

Message #40 received at 636301-close@bugs.debian.org (full text, mbox):

From: Gregor Jasny <gjasny@googlemail.com>
To: 636301-close@bugs.debian.org
Subject: Bug#636301: fixed in v4l-utils 0.8.5-3
Date: Sun, 07 Aug 2011 14:50:50 +0000
Source: v4l-utils
Source-Version: 0.8.5-3

We believe that the bug you reported is fixed in the latest version of
v4l-utils, which is due to be installed in the Debian FTP archive:

ir-keytable_0.8.5-3_amd64.deb
  to main/v/v4l-utils/ir-keytable_0.8.5-3_amd64.deb
lib32v4l-0_0.8.5-3_amd64.deb
  to main/v/v4l-utils/lib32v4l-0_0.8.5-3_amd64.deb
lib32v4l-dev_0.8.5-3_amd64.deb
  to main/v/v4l-utils/lib32v4l-dev_0.8.5-3_amd64.deb
libv4l-0_0.8.5-3_amd64.deb
  to main/v/v4l-utils/libv4l-0_0.8.5-3_amd64.deb
libv4l-dev_0.8.5-3_amd64.deb
  to main/v/v4l-utils/libv4l-dev_0.8.5-3_amd64.deb
qv4l2_0.8.5-3_amd64.deb
  to main/v/v4l-utils/qv4l2_0.8.5-3_amd64.deb
v4l-utils_0.8.5-3.debian.tar.gz
  to main/v/v4l-utils/v4l-utils_0.8.5-3.debian.tar.gz
v4l-utils_0.8.5-3.dsc
  to main/v/v4l-utils/v4l-utils_0.8.5-3.dsc
v4l-utils_0.8.5-3_amd64.deb
  to main/v/v4l-utils/v4l-utils_0.8.5-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636301@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gregor Jasny <gjasny@googlemail.com> (supplier of updated v4l-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 07 Aug 2011 14:09:04 +0200
Source: v4l-utils
Binary: libv4l-0 libv4l-dev lib32v4l-0 lib32v4l-dev v4l-utils qv4l2 ir-keytable
Architecture: source amd64
Version: 0.8.5-3
Distribution: unstable
Urgency: medium
Maintainer: Gregor Jasny <gjasny@googlemail.com>
Changed-By: Gregor Jasny <gjasny@googlemail.com>
Description: 
 ir-keytable - Alter keymaps of Remote Controller devices
 lib32v4l-0 - Collection of video4linux support libraries (32 bits)
 lib32v4l-dev - Collection of video4linux support libraries (32 bits development
 libv4l-0   - Collection of video4linux support libraries
 libv4l-dev - Collection of video4linux support libraries (development files)
 qv4l2      - Graphical Qt v4l2 control panel
 v4l-utils  - Collection of command line video4linux utilities
Closes: 636301
Changes: 
 v4l-utils (0.8.5-3) unstable; urgency=medium
 .
   * Disable libjpeg for cross compiled 32bit packages (Closes: #636301)
     The libjpeg.so shipped by ia32-libs-dev does not match the current
     libjpeg-dev header version which leads to broken (M)JPEG support.
Checksums-Sha1: 
 09f64da1885e3628245fbfc634716035af48ade1 2055 v4l-utils_0.8.5-3.dsc
 d51830506f9cd8c760578ecd3796162ba72222d3 14253 v4l-utils_0.8.5-3.debian.tar.gz
 baca96c6981110ec6786ee4fc74c0120cfb0378f 119650 libv4l-0_0.8.5-3_amd64.deb
 bfe249b9ea1d8db2fa409023f99a6aacd6b33883 93842 libv4l-dev_0.8.5-3_amd64.deb
 efa635d8d4bfbcb62e28f92f915df9d2110870a1 88524 lib32v4l-0_0.8.5-3_amd64.deb
 49bf1a8661ec7747de714c3984b4e424adf94f6d 80914 lib32v4l-dev_0.8.5-3_amd64.deb
 649c27cfb206d154ac72ec9e2d74c9f79462420e 109278 v4l-utils_0.8.5-3_amd64.deb
 6db72a3e580ce59c34f8b4053897fb4973507ce7 79584 qv4l2_0.8.5-3_amd64.deb
 3381502722010ae4bf8e876b83f58f3f41e1382f 63956 ir-keytable_0.8.5-3_amd64.deb
Checksums-Sha256: 
 5438126ce9efe6ee6c8caaf9fdf5885bd975213dde61673457a0382573e01880 2055 v4l-utils_0.8.5-3.dsc
 2979fe8747fdc507e9cb7316e19b4f8e932561e996997091d5fdb4167947a45b 14253 v4l-utils_0.8.5-3.debian.tar.gz
 e6a27a1e81c60e2546330dcc24d9272e897a07668720352631b7bc481b4fcdc8 119650 libv4l-0_0.8.5-3_amd64.deb
 092be1515508598a232fb75cdde594df5bcf35e20a7736f25581f5e7fc9982eb 93842 libv4l-dev_0.8.5-3_amd64.deb
 9db81b741287177e82638a46053738850c7a86e85c1bf7787f90a1bf0bf4ddae 88524 lib32v4l-0_0.8.5-3_amd64.deb
 c393f678dc3e6d144a6f1cf1a7565350bda49059bc3bae06360533fef48fac99 80914 lib32v4l-dev_0.8.5-3_amd64.deb
 d8cab837345809b47056a1fc3464ed7b70411ab213a139b9b39f483cff9e8fdd 109278 v4l-utils_0.8.5-3_amd64.deb
 934dda7a55d0905861a32977e565387df45abd075dbfb587e3b3bc9a6e2f7049 79584 qv4l2_0.8.5-3_amd64.deb
 7e787b87a5f9777298b0bb902c29a2be89addeeccd2248dab2761ac284a0b36b 63956 ir-keytable_0.8.5-3_amd64.deb
Files: 
 2a87e6a83e604cf94be59ed9c692b908 2055 video optional v4l-utils_0.8.5-3.dsc
 14f336aedaffb9e4c77c4a81c7d39128 14253 video optional v4l-utils_0.8.5-3.debian.tar.gz
 3666bc1f6354d071eda5b198c73da113 119650 libs optional libv4l-0_0.8.5-3_amd64.deb
 d7eb4a682437d54d2ba1bc77fd049dcc 93842 libdevel optional libv4l-dev_0.8.5-3_amd64.deb
 ee50ab4d6aa48a22dd5953de10be9106 88524 libs optional lib32v4l-0_0.8.5-3_amd64.deb
 4ead20d56f0166d5ca02223e85d61b22 80914 libdevel optional lib32v4l-dev_0.8.5-3_amd64.deb
 a27ff79a8d3e4112231b19345154573f 109278 utils optional v4l-utils_0.8.5-3_amd64.deb
 1e460a46d17d315bff35c667e53ed513 79584 utils optional qv4l2_0.8.5-3_amd64.deb
 db4c0b2182fc5dd5bd221d041dad2c28 63956 utils optional ir-keytable_0.8.5-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOPqG7AAoJEBmaZPrftQD/XekQALHjHAx0iaNdYfPDfRQ46qWx
Fgnbg+kdek07vv2LzQPzaMyTLYarzBWNU8FrXPezB459sYY4pHyvy6JHdRESlPv6
LqnYl1ZGSNA4bcJEQ4U4puEWNUKnh+MuEB4KVIpk10ho5U8+HgA1J8AP9r2lgZBd
wNFrb7htz4GvW3VXc5obGPWdOVSFDpbbzoHamBQ0e5YzA/1zgE2SSygnt5EDOR3N
JWMaw1xP3NyYIVgg0xHotRQ1w902CEzNPLheyzJbTLdIfn8940o3F7rnuCYHtMsj
SeZcMWzHtRIQ5RCuG+bIDQgQdALGk6DjS71l1Rk822M/v+RnYD+u24LUsLxtd2/r
ZLvIfdvgYXhrVHDF3mduo9MWhmCmhm9cyK04qqwydo4vu7ILnBWvU/yvJB7ZD//H
0CHPxu/QprgBlGQy7cl5OHiHdtY8SxQlfWe/NnjNJE88W4aeqJB6Q9tqSAYvmhfw
3jK6C8DDLeWtmqOV2IzTozVZMsTJoKNnEVYVWlJz6ZDQS2r5cxRq1CqpK42bt//j
KVC/oAuj1pVPoVYcjfBHSmT7O6ZW7QZ6jS29TXdzR3fT9BXyJexSLziADzl90+2y
AvqL6LizSXavhsJxoUandn1YeTe3YRdpQRQNGW4oUx9bfkIDmwZuo0NdQG4jzD+j
8FIZfQRpOqVJRabg9rpq
=kDo0
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gregor Jasny <gjasny@googlemail.com>:
Bug#636301; Package lib32v4l-0. (Mon, 08 Aug 2011 16:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to komodo@uvt.cz:
Extra info received and forwarded to list. Copy sent to Gregor Jasny <gjasny@googlemail.com>. (Mon, 08 Aug 2011 16:18:10 GMT) Full text and rfc822 format available.

Message #45 received at 636301@bugs.debian.org (full text, mbox):

From: komodo <komodo@uvt.cz>
To: Gregor Jasny <gjasny@googlemail.com>
Cc: 636301@bugs.debian.org
Subject: Re: Bug#636301: lib32v4l-0: No video in Skype - libv4l2: error converting / decoding frame data
Date: Mon, 8 Aug 2011 18:10:17 +0200
Hi Gregor

many thanks, now it's working again :-)

and without  export LIBV4LCONTROL_FLAGS=32

i'm starting skype as usualy

LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype

Thank you

Beste regards

Martin

On Friday, August 05, 2011 18:32:37 Gregor Jasny wrote:
> Hi Martin,
> 
> I've uploaded v4l-utils 0.8.5-2. From the README.Debian file:
> 
>   Since v0.8.4 libv4l decodes JPEG and MJPEG picture formats via libjpeg
>   instead of using the its own tinyjpeg decoder. For cameras delivering
>   a non-standars stream this leads to non working or flickering video.
> 
>   An indication might be the following output on stderr:
>   "libv4l2: error converting / decoding frame data"
> 
>   libv4l already takes care of some broken cameras by falling back to
>   the tinyjpeg decoder. To test if this might help with your camera,
>   please set the following environment variable before starting the
>   webcam application:
> 
>   export LIBV4LCONTROL_FLAGS=32
> 
> Could you please install it and check if this environment variable helps
> to get video in Skype, again? There are at least two other cameras with
> the same chipset as yours that were brought back to life.
> 
> Once you verified that it works I'll add your camera id to the internal
> library table so that the compatible decoder is selected automatically.
> 
> I could have added it with this upload too, but in your bug report you
> stated that the error vanishes if you install 0.8.4. All cams I tested
> were broken by this version, too. v0.8.3 was the last compatible version.
> 
> You can pick the binaries from
> http://incoming.debian.org/
> or
> http://ftp.debian.org/debian/pool/main/v/v4l-utils/
> 
> The packges.debian.org is often one day behind.
> 
> I appreciate your help!
> 
> Thanks,
> Gregor




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Sep 2011 07:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:18:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.